curl --request GET \
--url https://api.meetdarwin.ai/v1/conversations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "conv_c-1760280000000-k3j9",
"object": "conversation",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_url": "<string>",
"page_path": "<string>",
"outcome": "meeting",
"message_count": 0,
"preview": "<string>",
"contact": "<string>",
"lead": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"booking": {
"started_at": "2023-11-07T05:31:56Z",
"booked_at": "2023-11-07T05:31:56Z",
"booker_email": "<string>"
},
"handoff": {
"requested_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"visitor": {
"device": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"referrer": "<string>",
"source": "<string>",
"utm": {},
"ai_referred": true,
"returning": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
},
"opening": {
"experiment": "<string>",
"variant": "<string>"
},
"evaluation": {
"intent": "<string>",
"buying_stage": "<string>",
"qualification_score": 123,
"meeting_intent": 123,
"understood": true,
"failure_category": "<string>",
"abandonment_reason": "<string>",
"recommended_improvement": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z"
},
"test": true,
"admin_url": "<string>",
"messages": [
{
"id": "<string>",
"role": "user",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tools": [
"<string>"
]
}
]
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Retrieve a conversation
Requires the conversations:read scope.
curl --request GET \
--url https://api.meetdarwin.ai/v1/conversations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "conv_c-1760280000000-k3j9",
"object": "conversation",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_url": "<string>",
"page_path": "<string>",
"outcome": "meeting",
"message_count": 0,
"preview": "<string>",
"contact": "<string>",
"lead": {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"booking": {
"started_at": "2023-11-07T05:31:56Z",
"booked_at": "2023-11-07T05:31:56Z",
"booker_email": "<string>"
},
"handoff": {
"requested_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"visitor": {
"device": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"referrer": "<string>",
"source": "<string>",
"utm": {},
"ai_referred": true,
"returning": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
},
"opening": {
"experiment": "<string>",
"variant": "<string>"
},
"evaluation": {
"intent": "<string>",
"buying_stage": "<string>",
"qualification_score": 123,
"meeting_intent": 123,
"understood": true,
"failure_category": "<string>",
"abandonment_reason": "<string>",
"recommended_improvement": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z"
},
"test": true,
"admin_url": "<string>",
"messages": [
{
"id": "<string>",
"role": "user",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tools": [
"<string>"
]
}
]
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Authorizations
A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.
Path Parameters
Query Parameters
messages: include the transcript.
Response
OK
^conv_"conv_c-1760280000000-k3j9"
"conversation"^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$meeting, lead, handoff, none -9007199254740991 <= x <= 9007199254740991The visitor's first message, up to 160 characters.
The contact's id. Needs contacts:read.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Darwin's grading, once the conversation has gone quiet.
Show child attributes
Show child attributes
This conversation in the Darwin admin, for a link in Slack or a CRM note.
With expand[]=messages.
Show child attributes
Show child attributes